Please publish all the records in the GRSF public VRE
Status: Closed Start date: May 31, 2022

Priority: Normal Due date:  

Assignee: Yannis Marketakis % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

Al the content of GRSF VRE has been cleaned.

https://i-marine.d4science.org/group/grsf/data-catalogue

The environment is now clean to allow to publish everything.

Related issues:

Blocked by StocksAndFisheriesKB - Task #23451: Please update the url of grsf-... Closed May 31, 2022

History

#1 - May 31, 2022 06:19 PM - Luca Frosini

- Blocked by Task #23451: Please update the url of grsf-publisher service added

#2 - May 31, 2022 06:19 PM - Luca Frosini

- Description updated

#3 - Jun 06, 2022 08:51 AM - Yannis Marketakis

- Status changed from New to In Progress

- % Done changed from 0 to 10

#4 - Jun 06, 2022 02:00 PM - Yannis Marketakis

- File clipboard-202206061500-jjqcr.png added

- % Done changed from 10 to 90

All the records have been published in GRSF Public VRE.

I still encounter issues with the catalog statistics. More specifically, 

GRSF public VRE reports 1980, although they should be 1979

There's a mismatch in the figures reported under Organizations -> GRSF (1980) and Groups -> GRSF (1978)

If I query the catalog using https://api.d4science.org/catalogue/items I find 1978 records. 

https://data.d4science.org/ctlg/GRSF/b6cf4e2b-414d-3825-8a7e-11774c10759b is not retrieved.
#5 - Jun 06, 2022 04:31 PM - Luca Frosini

@marketak@ics.forth.gr as I said at the meeting the group association is done in a separate thread and sometimes Ckan fails.

I'll add a retry in the future version.

I'm going to find the second problematic record. In the meanwhile can you try to publish the record you found again (Such a record does have no

group at all).

#6 - Jun 07, 2022 08:15 AM - Yannis Marketakis

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Thanks @luca.frosini@isti.cnr.it .

My understanding was that the issue should be resolved (with the intermediate pausing periods).

As regards your proposal about the missing I've just removed that and published again and it now appears among the results of 

https://api.d4science.org/catalogue/items

Thanks 
